Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.json
Class SerializationParams

    java.lang.Object
      org.apache.struts2.json.SerializationParams

    public class SerializationParams

extends Object

Constructor Summary
`SerializationParams(javax.servlet.http.HttpServletResponse response, String defaultEncoding, boolean wrapWithComments, String json, boolean b, boolean b1, boolean noCache, int i, int i1, boolean prefix, String contentType)`
`SerializationParams(javax.servlet.http.HttpServletResponse response, String encoding, boolean wrapWithComments, String serializedJSON, boolean smd, boolean gzip, boolean noCache, int statusCode, int errorCode, boolean prefix, String contentType, String wrapPrefix, String wrapSuffix)`

Method Summary
`String` | `getContentType()`
`String` | `getEncoding()`
`int` | `getErrorCode()`
`javax.servlet.http.HttpServletResponse` | `getResponse()`
`String` | `getSerializedJSON()`
`int` | `getStatusCode()`
`String` | `getWrapPrefix()`
`String` | `getWrapSuffix()`
`boolean` | `isGzip()`
`boolean` | `isNoCache()`
`boolean` | `isPrefix()`
`boolean` | `isSmd()`
`boolean` | `isWrapWithComments()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializationParams

    public SerializationParams(javax.servlet.http.HttpServletResponse response,
                               String encoding,
                               boolean wrapWithComments,
                               String serializedJSON,
                               boolean smd,
                               boolean gzip,
                               boolean noCache,
                               int statusCode,
                               int errorCode,
                               boolean prefix,
                               String contentType,
                               String wrapPrefix,
                               String wrapSuffix)

### SerializationParams

    public SerializationParams(javax.servlet.http.HttpServletResponse response,
                               String defaultEncoding,
                               boolean wrapWithComments,
                               String json,
                               boolean b,
                               boolean b1,
                               boolean noCache,
                               int i,
                               int i1,
                               boolean prefix,
                               String contentType)

Method Detail

### getWrapSuffix

    public String getWrapSuffix()

### getWrapPrefix

    public String getWrapPrefix()

### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

### getEncoding

    public String getEncoding()

### isWrapWithComments

    public boolean isWrapWithComments()

### getSerializedJSON

    public String getSerializedJSON()

### isSmd

    public boolean isSmd()

### isGzip

    public boolean isGzip()

### isNoCache

    public boolean isNoCache()

### getStatusCode

    public int getStatusCode()

### getErrorCode

    public int getErrorCode()

### isPrefix

    public boolean isPrefix()

### getContentType

    public String getContentType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.